using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VIZ.Package.Domain;

namespace VIZ.TVP.FTB.Module.HeaderPage
{

    public class HeaderPagePlugin : IPluginLifeCycle
    {
        /// <summary>
        /// 插件ID
        /// </summary>
        /// <remarks>
        /// 插件ID不能包含点号
        /// </remarks>
        public const string PLUGIN_ID = "FDateHeaderView";

        /// <summary>
        /// 插件显示名称
        /// </summary>
        public const string PLUGIN_NAME = "足球赛事";
        public void Dispose()
        {

        }

        public void Initialize()
        {

        }

        public PluginInfo Register()
        {
            PluginInfo info = new PluginInfo();
            info.Group = PluginConstant.GroupName;
            info.ID = PLUGIN_ID;
            info.Name = PLUGIN_NAME;
            info.PluginType = PluginType.Module;
            info.ViewType = typeof(DateHeaderView);

            return info;
        }
    }
}
